io.milvus.param.control

## Class GetFlushStateParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetFlushStateParam.Builder

Enclosing class:
  GetFlushStateParam

    public static final class GetFlushStateParam.Builder
    extends java.lang.Object

Builder for `GetFlushStateParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`GetFlushStateParam.Builder` `addSegmentID(@NonNull java.lang.Long segmentID)` Deprecated.
`GetFlushStateParam` `build()` Verifies parameters and creates a new `GetFlushStateParam` instance.
`GetFlushStateParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`GetFlushStateParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.
`GetFlushStateParam.Builder` `withFlushTs(@NonNull java.lang.Long flushTs)` Input a time stamp of a flush action, get its flush state
`GetFlushStateParam.Builder` `withSegmentIDs(@NonNull java.util.List<java.lang.Long> segmentIDs)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public GetFlushStateParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withSegmentIDs

    @Deprecated
    public GetFlushStateParam.Builder withSegmentIDs(@NonNull
                                                                 @NonNull java.util.List<java.lang.Long> segmentIDs)

Deprecated.
Specify segments

Parameters:
  `segmentIDs` - segments id list
Returns:
  `Builder`

#### addSegmentID

    @Deprecated
    public GetFlushStateParam.Builder addSegmentID(@NonNull
                                                               @NonNull java.lang.Long segmentID)

Deprecated.
Specify a segment

Parameters:
  `segmentID` - segment id
Returns:
  `Builder`

#### withCollectionName

    public GetFlushStateParam.Builder withCollectionName(@NonNull
                                                         @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withFlushTs

    public GetFlushStateParam.Builder withFlushTs(@NonNull
                                                  @NonNull java.lang.Long flushTs)

Input a time stamp of a flush action, get its flush state

Parameters:
  `flushTs` - a time stamp returned by the flush() response
Returns:
  `Builder`

#### build

    public GetFlushStateParam build()
                             throws ParamException

Verifies parameters and creates a new `GetFlushStateParam` instance.

Returns:
  `GetFlushStateParam`
Throws:
  `ParamException`